Package commoble.morered.util

# Class NestedBoundingBox

java.lang.Object
commoble.morered.util.NestedBoundingBox

public class NestedBoundingBox extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final NestedBoundingBox`
`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`NestedBoundingBox(NestedBoundingBox boxA, NestedBoundingBox boxB)`
`NestedBoundingBox(net.minecraft.world.phys.AABB box)`

## Method Summary

Modifier and Type
Method
Description
`NestedBoundingBox`
`combine(NestedBoundingBox other)`
`static NestedBoundingBox`
`fromAABBs(net.minecraft.world.phys.AABB... boxes)`
`boolean`
`intersects(net.minecraft.world.phys.AABB target)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EMPTY

public static final NestedBoundingBox EMPTY

## Constructor Details

### NestedBoundingBox

public NestedBoundingBox(@Nonnull NestedBoundingBox boxA, @Nonnull NestedBoundingBox boxB)

### NestedBoundingBox

public NestedBoundingBox(@Nonnull net.minecraft.world.phys.AABB box)

## Method Details

### combine

public NestedBoundingBox combine(@Nonnull NestedBoundingBox other)

### fromAABBs

public static NestedBoundingBox fromAABBs(net.minecraft.world.phys.AABB... boxes)

### intersects

public boolean intersects(@Nonnull net.minecraft.world.phys.AABB target)